### Enumeration

# Atspi TextGranularity

#### Declaration

    enum Atspi.TextGranularity

#### Description [src]

Text granularity types used for specifying the granularity of the region of text we are interested in.

#### Members

`ATSPI_TEXT_GRANULARITY_CHAR`

  Granularity is defined by the boundaries between characters (including non-printing characters).

  - Value: `0`
  - Available since: 2.0
`ATSPI_TEXT_GRANULARITY_WORD`

  Granularity is defined by the boundaries of a word, starting at the beginning of the current word and finishing at the beginning of the following one, if present.

  - Value: `1`
  - Available since: 2.0
`ATSPI_TEXT_GRANULARITY_SENTENCE`

  Granularity is defined by the boundaries of a sentence, starting at the beginning of the current sentence and finishing at the beginning of the following one, if present.

  - Value: `2`
  - Available since: 2.0
`ATSPI_TEXT_GRANULARITY_LINE`

  Granularity is defined by the boundaries of a line, starting at the beginning of the current line and finishing at the beginning of the following one, if present.

  - Value: `3`
  - Available since: 2.0
`ATSPI_TEXT_GRANULARITY_PARAGRAPH`

  Granularity is defined by the boundaries of a paragraph, starting at the beginning of the current paragraph and finishing at the beginning of the following one, if present.

  - Value: `4`
  - Available since: 2.0